0

I am trying to install gnome-shell extension however problem lies in host connector. I'm getting error while executing command gnome-shell-extension-prefs

missing metadata.json

Gjs-WARNING **: 19:37:46.842: JS ERROR: Could not load extension ubuntu-dock@ubuntu.com: Error: Missing metadata.json
createExtensionObject@resource:///org/gnome/shell/misc/extensionUtils.js:110:15
_loadExtension@resource:///org/gnome/shell/misc/extensionUtils.js:186:25
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
scanExtensions/<@resource:///org/gnome/shell/misc/extensionUtils.js:197:13
collectFromDatadirs@resource:///org/gnome/shell/misc/fileUtils.js:27:17
scanExtensions@resource:///org/gnome/shell/misc/extensionUtils.js:196:9
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
_scanExtensions@resource:///org/gnome/shell/extensionPrefs/main.js:197:9
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
_onStartup@resource:///org/gnome/shell/extensionPrefs/main.js:227:9
wrapper@resource:///org/gnome/gjs/modules/_legacy.js:82:22
main@resource:///org/gnome/shell/extensionPrefs/main.js:397:5
@<main>:1:43

getting this error on the gnome extension webpage

enter image description here

someone would help to resolve the issue

  • elementary does not use/run GNOME shell, so extensions are not going to work anyway. – David Hewitt Feb 7 at 10:52

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.